Bug 1415982 - Client side strings are not branded
Summary: Client side strings are not branded
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Branding
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Shimon Shtein
QA Contact: Renzo Nuccitelli
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 10:05 UTC by Shimon Shtein
Modified: 2019-08-12 16:33 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:17 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Shimon Shtein 2017-01-24 10:05:54 UTC
Description of problem:

Strings generated in the browser - foreman core, react components or angular (Katello) are not branded.

How reproducible:

Always

Steps to Reproduce:
1. Find a string that contains "Foreman" that is displayed by Katello.
2. Observe that it's not branded.

Actual results:

You will see "Foreman"

Expected results:

Should see "Satellite"

Comment 3 Renzo Nuccitelli 2017-12-19 14:01:55 UTC
Can you provide the specific pages I should look for the Satellite string? I've followed the MR to check if maybe there were some kind of test on some page so I could have a hint of where to look but had no lucky there.

Comment 4 Shimon Shtein 2018-01-25 13:24:29 UTC
@renzo, I can see a string that should be branded by this PR, but I don't know when it is shown. The string is here: https://gitlab.sat.lab.tlv.redhat.com/satellite6/katello/blob/SATELLITE-6.3.0/engines/bastion_katello/app/assets/javascripts/bastion_katello/capsule-content/capsule-content.controller.js#L158

@tstrachota, When is this string  is shown to the user? It's part of http://projects.theforeman.org/issues/12722.

Comment 5 Tomas Strachota 2018-01-25 20:57:19 UTC
It's shown when the capsule sync is in progress. Try synchronizing some bigger repos to a capsule and it should appear in the sync status.

Comment 6 pm-sat@redhat.com 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.